LPTCONTROL(8)

NAME
lptcontrol - a utility for manipulating the lpt printer driver.

SYNOPSIS
lptcontrol -i | -p [-u unit no]

DESCRIPTION
The lptcontrol command is used to set either the interrupt-driven or polling mode of individual lpt(4) devices. When a printer is switched between interrupt-driven and polled mode, this change will only take effect the next time the device is opened.

OPTIONS
The following command line options are supported:

-i  Turns on interrupt-driven mode.

-p  Turns on polled mode.

-u n
    Sets the mode of the printer device specified by n. The default value for n is 0 (ie. /dev/lpt0)

One of -i or -p must be specified.

FILES
/dev/lpt? - printer devices
/dev/lpctl? - printer control devices
/sys/i386/conf/GENERIC - kernel configuration file

BUGS
Sure to be some.

SEE ALSO
lpt(4)

AUTHOR
Geoffrey M. Rehmet

HISTORY
lptcontrol first appeared in FreeBSD 1.1.5